import java.util.Calendar;

import quadbase.reportdesigner.util.IExportConstants;
import quadbase.reportorganizer.organizerAPI.QbOrganizer;
import quadbase.reportorganizer.organizerAPI.QbScheduleObject;
import quadbase.reportorganizer.organizerAPI.QbSchedulePackage;

public class PackageBurstingAllERES {
	// set following constants, your ERES/EDAB server must be runnning!
	static final String ServletRunner = "http://localhost:8080";
	static final String ServletContext = "ERES/servlet";

	public static void main(String[] args) {
		PackageBurstingAllERES doSchedulePackage = new PackageBurstingAllERES();
		try {
			doSchedulePackage.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		QbOrganizer.setServletContext(ServletContext);
		QbOrganizer.setServletRunner(ServletRunner);
		QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");

		QbSchedulePackage sPack = new QbSchedulePackage("PackageBursting_All", organizer);
		sPack.setReportExportType(IExportConstants.PDF);
		sPack.setChartExportType(IExportConstants.PNG);
		sPack.setTaskOption(QbSchedulePackage.ONE_TIME);
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 10);
		sPack.setStartDate(calendar.getTimeInMillis());
		sPack.setSendEmail(true);
		sPack.setFromAddress("user1@quadbase.com");
		sPack.setSubject("Test Package Bursting");
		sPack.setBodyText("You should find a report of one group");
		sPack.setEmailType(QbSchedulePackage.ASATTACHMENT);

		QbScheduleObject rptObj = new QbScheduleObject("new project/InventoryInformation",
				QbScheduleObject.TEMPLATE_TYPE_REPORT, sPack);
		rptObj.setFileLocation("help/examples/ReportGallery/templates/InventoryInformation.rpt");
		String exportLocation1 = rptObj.pickDefaultExportLocation();
		rptObj.setBurstReport(QbScheduleObject.ALLBURSTING);
		rptObj.setEmailColumnIndex(16);

		QbScheduleObject chtObj = new QbScheduleObject("new project/col2d",
				QbScheduleObject.TEMPLATE_TYPE_CHART, sPack);
		chtObj.setFileLocation("help/examples/ChartGallery/data/col2d.tpl");
		String exportLocation2 = chtObj.pickDefaultExportLocation();

		organizer.getScheduler().addSchedulePackageTask(sPack);
	}
}
